{
  "format_version": "1.19.0",
  "minecraft:attachable": {
    "description": {
      "identifier": "manalabs_zombie:spawning_device",
      "materials": {
        "default": "entity_emissive_alpha"
      },
      "textures": {
        "default": "textures/manalabs/zombie/attachables/spawning_device"
      },
      "geometry": {
        "default": "geometry.manalabs_zombie.spawning_device"
      },
      "animations": {
        "wield_fp": "animation.manalabs_zombie.spawning_device.wield_fp",
        "wield_tp": "animation.manalabs_zombie.spawning_device.wield_tp",
        "flicker": "animation.manalabs_zombie.spawning_device.flicker"
      },
      "scripts": {
        "animate": [
          {
            "wield_fp": "(c.is_first_person && !q.is_in_ui)"
          },
          {
            "wield_tp": "(!c.is_first_person || q.is_in_ui)"
          },
          "flicker"
        ]
      },
      "render_controllers": ["controller.render.default"]
    }
  }
}
